/* =Reset
-------------------------------------------------------------- */

caption, th, td {
	text-align: right;
}

/* =Global
----------------------------------------------- */

/* Text elements */

ul, ol {
	margin: 0 2.5em 25px 0;
}

ul ul, ol ol, ul ol, ol ul {
	margin-right: 1.5em;
	margin-left: auto;
}

dl {
	margin: 0 5px 25px 0;
}

dd {
	margin: 5px 1.5em 0 0;
}

blockquote:before {
	right: 0;
	left: auto;
}

blockquote blockquote:before {
	right: 0;
	left: auto;
}

table {
	border-right: 1px solid #f4f2e7;
	border-left: 1px solid #f4f2e7;
}

th {
	border-left: 1px solid #f4f2e7;
	text-align: right;
	border-right: none;
}

td, tbody th {
	border-left: 1px solid #f4f2e7;
	border-right: none;
}

textarea {
	padding-right: 3px;
	padding-left: 0;
}

/* Links */

/* Alignment */
.alignright {
	float: right;
	margin-left: 1.5em;
	margin-right: auto;
}

.alignleft {
	float: left;
	margin-right: 1.5em;
	margin-left: auto;
}

/* =Header
----------------------------------------------- */

.site-title {
	float: right;
	margin: 0 0 0 25px;
}

.site-description {
	float: right;
}

/* =Primary Menu
----------------------------------------------- */

.main-navigation ul {
	padding-right: 0;
	padding-left: 0;
}

.main-navigation li {
	float: right;
}

.main-navigation ul ul {
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	float: right;
	right: 0;
	left: auto;
}

.main-navigation ul ul ul {
	right: 100%;
	left: auto;
}

/* =Secondary Menu
----------------------------------------------- */

.secondary-navigation ul {
	padding-right: 0;
	padding-left: 0;
}

.secondary-navigation li {
	float: right;
	margin: 0 25px 10px 0;
}

.secondary-navigation ul ul {
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	float: right;
	right: 0;
	left: auto;
}

.secondary-navigation ul ul ul {
	right: 100%;
	left: auto;
}

/* =Subsidiary Menu
----------------------------------------------- */

.subsidiary-navigation ul {
	padding-right: 0;
	padding-left: 0;
}

.subsidiary-navigation li {
	float: right;
}

.subsidiary-navigation a {
	float: right;
}

/* =Content
----------------------------------------------- */

.thumbnail {
	float: left;
	margin: 0 25px 5px 0;
}

/* =Post Formats
----------------------------------------------- */

.entry-format:before {
	margin: 0 0 0 4px;
}

.format-gallery .gallery-thumb {
	float: left;
	margin: 0 25px 5px 0;
	left: 26px;
	right: auto;
}

.format-gallery .gallery-thumb:before {
	right: 8px;
	left: auto;
}

/* =Navigation
----------------------------------------------- */

.site-content .nav-previous a {
	float: right;
}

.site-content .nav-next a {
	float: left;
	text-align: left;
}

/* =Comments
----------------------------------------------- */

.commentlist .children {
	margin-right: 50px;
	margin-left: auto;
}

.commentlist .avatar {
	float: right;
	margin: 0 0 25px 25px;
}


/* =Layout: Content-Sidebar-Sidebar
----------------------------------------------- */

.two-right #primary {
	float: right;
}

.two-right #content {
	margin: 0 0 0 48.3%;
}

.two-right #main .widget-area {
	float: right;
}

.two-right #secondary {
	margin: 0 -43.5% 0 0;
}

.two-right #tertiary {
	margin: 0 -20% 0 0;
}

/* =Layout: Content-Sidebar
----------------------------------------------- */

.one-right #primary {
	float: right;
	margin: 0 0 0 -34%;
}

.one-right #content {
	margin: 0 0 0 34%;
}

.one-right #secondary {
	float: left;
}

.one-right #tertiary {
	clear: left;
}

/* =Layout: Sidebar-Content-Sidebar
----------------------------------------------- */

.two-both #primary {
	float: right;
}

.two-both #main .widget-area {
	float: right;
}

.two-both #secondary {
	margin: 0 -100% 0 0;
}

.two-both #tertiary {
	margin: 0 -18.7% 0 0;
}

/* =Layout: Sidebar-Content
----------------------------------------------- */

.one-left #primary {
	float: left;
	margin: 0 -34% 0 0;
}

.one-left #content {
	margin: 0 34% 0 0;
}

.one-left #secondary {
	float: right;
}

.one-left #tertiary {
	clear: right;
}

/* =Layout: Sidebar-Sidebar-Content
----------------------------------------------- */

.two-left #primary {
	float: left;
	margin: 0 -48.3% 0 0;
}

.two-left #content {
	margin: 0 48.3% 0 0;
}

.two-left #secondary {
	padding: 0 0 0 50px;
}

.two-left #main .widget-area {
	float: right;
}

/* =Infinite Scroll
----------------------------------------------- */

/**
 * Make sure that clicking Load more posts doesn't cause any jarringness.
 */
.infinite-scroll #infinite-handle {
	float: right;
}

@media screen and ( max-width: 710px ) {
	.secondary-navigation li {
		margin: 0 0 10px 20px;
	}

	.secondary-navigation ul ul,
		.secondary-navigation ul ul li,
		.secondary-navigation ul ul ul {
		right: auto;
		left: auto;
	}
}